---
type: api
title: Search for saved objects
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-get-saved-objects-find
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-get-saved-objects-find
products:
  - Kibana
---

# Search for saved objects

deprecated

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/saved_objects/_find`
- `GET` `/s/{space_id}/api/saved_objects/_find`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Searches for Kibana saved objects.

For transferring or backing up saved objects, prefer the export API (`POST /api/saved_objects/_export`).

## Query String Parameters

- `per_page` (number · min: 0 · default: 20)
  The number of items per page.
- `page` (number · min: 0 · default: 1)
  The page index to return.
- `type` ([] string · max: 100)
  The saved object type or types to search for. Use multiple `type` values to search across types.
- `search` (string · max: 10000)
  A text search string.
- `default_search_operator` (enum  · default: OR)
  The boolean operator to use when combining multiple values.
  Values: `OR`, `AND`
- `search_fields` ([] string · max: 100)
  The fields to search on.
- `sort_field` (string · max: 1024)
  The field to sort on.
- `has_reference` (union anyOf)
  Return only saved objects that have a reference to the specified saved object(s).
  Any of: `object` or `object[]`
- `has_reference_operator` (enum  · default: OR)
  The boolean operator to use when combining multiple values.
  Values: `OR`, `AND`
- `has_no_reference` (union anyOf)
  Return only saved objects that do not have a reference to the specified saved object(s).
  Any of: `object` or `object[]`
- `has_no_reference_operator` (enum  · default: OR)
  The boolean operator to use when combining multiple values.
  Values: `OR`, `AND`
- `fields` ([] string · max: 100)
  The fields to return for each saved object.
- `filter` (string · max: 10000)
  A KQL filter to apply to the search.
- `aggs` (string · max: 100000)
  Aggregations as a JSON string.
- `namespaces` ([] string · max: 100)
  The namespaces (spaces) to search in.

## Responses

#### `200`

A search response.

#### `400`

A bad request.

## Code Examples

#### Console

```console
GET kbn://api/saved_objects/_find?type=dashboard&fields=title&per_page=20&page=1
```

#### curl

```curl
curl \
  -X GET "${KIBANA_URL}/api/saved_objects/_find?type=dashboard&fields=title&per_page=20&page=1" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response Examples

#### A page of saved objects

```json
{
  "page": 1,
  "per_page": 20,
  "saved_objects": [
    {
      "attributes": {
        "title": "Example dashboard 1"
      },
      "id": "example-dashboard-1",
      "managed": false,
      "namespaces": [
        "default"
      ],
      "references": [],
      "type": "dashboard",
      "updated_at": "2026-04-17T12:00:00.000Z",
      "version": "WzEsMV0="
    }
  ],
  "total": 1
}
```

#### A bad request error

```json
{
  "error": "Bad Request",
  "message": "This type dashboard is not allowed: Bad Request",
  "statusCode": 400
}
```

